Name:           cpanspec
Version:        1.78
Release:    1%{?dist}
Summary:        RPM spec file generation utility
License:        GPL-1.0-or-later OR Artistic-1.0-Perl
URL:            http://cpanspec.sourceforge.net/
Source0:        http://sourceforge.net/downloads/%{name}/%{name}/%{version}/%{name}-%{version}.tar.gz
Patch0:         %{name}-1.78-Change-optimize-to-optflags.patch
Patch1:         %{name}-1.78-Strip-any-version-comparison-operator-from-the-perl-BR.patch
Patch2:         %{name}-1.78-Escape-slashes-in-filters.patch
Patch3:         %{name}-1.78-Prefer-dnf-over-repoquery.patch
Patch4:         %{name}-1.78-Fix-build-arguments-for-Build.PL-spec-conformance.patch
BuildArch:      noarch
BuildRequires:  findutils
BuildRequires:  perl-interpreter
BuildRequires:  perl-generators
BuildRequires:  perl(Module::Build)
Requires:       /usr/bin/curl
Requires:       /usr/bin/dnf
Requires:       rpm-build

%description
cpanspec generates spec files (and, optionally, source or even binary
packages) for Perl modules from CPAN for Fedora.  The quality of the spec
file is our primary concern.  It is assumed that maintainers will need to
do some (hopefully small) amount of work to clean up the generated spec
file to make the package build and to verify that all of the information
contained in the spec file is correct.

%prep
%setup -q
%patch0 -p1
%patch1 -p1
%patch2 -p1
%patch3 -p1
%patch4 -p1

%build
perl Build.PL installdirs=vendor
./Build

%install
./Build install destdir=%{buildroot}
find %{buildroot} -type f -name .packlist -delete
%{_fixperms} %{buildroot}/*

%files
%{!?_licensedir:%global license %%doc}
%license Artistic COPYING
%doc BUGS Changes TODO
%{_bindir}/*
%{_mandir}/man1/*

%changelog
* Fri Apr 12 2024 OpenCloudOS Release Engineering <releng@opencloudos.tech> - 1.78-1
- initial build
